from setuptools import setup, find_packages

with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

# Define requirements directly (remove requirements.txt dependency)
requirements = [
    "psycopg2-binary>=2.9.3"
]

setup(
    name="psqleasy",
    version="1.0.5",
    author="Sheikh Tanvir Siddiki",
    author_email="sheikhtanvirsiddiki55@gmail.com",
    description="Ultra-simple PostgreSQL interface for Python",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/SheikhTanvirSiddiki/psqleasy",
    project_urls={
        "Bug Tracker": "https://github.com/SheikhTanvirSiddiki/psqleasy/issues",
        "Documentation": "https://sheikhtanvirsiddiki.github.io/psqleasy/",
        "Source Code": "https://github.com/SheikhTanvirSiddiki/psqleasy",
        "Changelog": "https://github.com/SheikhTanvirSiddiki/psqleasy/releases",
    },
    packages=find_packages(exclude=["tests*", "examples*", "docs*"]),
    install_requires=requirements,
    python_requires='>=3.7',
    classifiers=[
        "Development Status :: 5 - Production/Stable",
        "Intended Audience :: Developers",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.7",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
        "Programming Language :: Python :: 3.10",
        "Programming Language :: Python :: 3.11",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
        "Topic :: Database",
        "Topic :: Database :: Front-Ends",
        "Topic :: Software Development :: Libraries",
        "Topic :: Software Development :: Libraries :: Python Modules",
    ],
    keywords="postgresql, postgres, database, sql, orm, psycopg2",
    license="MIT",
    include_package_data=True,
    zip_safe=False,
    options={
        'bdist_wheel': {
            'universal': False  # Set to True if you have pure Python code
        }
    },
)